Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.formatter
Class DefaultCodeFormatterConstants

    java.lang.Object
      org.eclipse.jdt.core.formatter.DefaultCodeFormatterConstants

public class DefaultCodeFormatterConstants
extends Object

Constants used to set up the options of the code formatter.

Since:
  3.0

Field Summary
`static String` | `END_OF_LINE` FORMATTER / Value to set a brace location at the end of a line.
`static String` | `FALSE` FORMATTER / Value to set an option to true.
`static String` | `FORMATTER_ALIGN_TYPE_MEMBERS_ON_COLUMNS` FORMATTER / Option to align type members of a type declaration on column - option id: "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_method_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_ALLOCATION_EXPRESSION` FORMATTER / Option for alignment of arguments in allocation expression - option id: "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_EXPLICIT_CONSTRUCTOR_CALL` FORMATTER / Option for alignment of arguments in explicit constructor call - option id: "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_explicit_constructor_call" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION` FORMATTER / Option for alignment of arguments in method invocation - option id: "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_method_invocation" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_QUALIFIED_ALLOCATION_EXPRESSION` FORMATTER / Option for alignment of arguments in qualified allocation expression - option id: "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_qualified_allocation_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION` FORMATTER / Option for alignment of binary expression - option id: "org.eclipse.jdt.core.formatter.alignment_for_binary_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_COMPACT_IF` FORMATTER / Option for alignment of compact if - option id: "org.eclipse.jdt.core.formatter.alignment_for_compact_if" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_BY_ONE)
`static String` | `FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION` FORMATTER / Option for alignment of conditional expression - option id: "org.eclipse.jdt.core.formatter.alignment_for_conditional_expression" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_ARRAY_INITIALIZER` FORMATTER / Option for alignment of expressions in array initializer - option id: "org.eclipse.jdt.core.formatter.alignment_for_expressions_in_array_initializer" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_MULTIPLE_FIELDS` FORMATTER / Option for alignment of multiple fields - option id: "org.eclipse.jdt.core.formatter.alignment_for_multiple_fields" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option for alignment of parameters in constructor declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_parameters_in_constructor_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION` FORMATTER / Option for alignment of parameters in method declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_parameters_in_method_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_SELECTOR_IN_METHOD_INVOCATION` FORMATTER / Option for alignment of selector in method invocation - option id: "org.eclipse.jdt.core.formatter.alignment_for_selector_in_method_invocation" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_SUPERCLASS_IN_TYPE_DECLARATION` FORMATTER / Option for alignment of superclass in type declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_superclass_in_type_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_SUPERINTERFACES_IN_TYPE_DECLARATION` FORMATTER / Option for alignment of superinterfaces in type declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_superinterfaces_in_type_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option for alignment of throws clause in constructor declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_constructor_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION` FORMATTER / Option for alignment of throws clause in method declaration - option id: "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_method_declaration" - possible values: values returned by `createAlignmentValue(boolean, int, int)` call - default: createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)
`static String` | `FORMATTER_BLANK_LINES_AFTER_IMPORTS` FORMATTER / Option to add blank lines after the imports declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_after_imports" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_AFTER_PACKAGE` FORMATTER / Option to add blank lines after the package declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_after_package" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_AT_BEGINNING_OF_METHOD_BODY` FORMATTER / Option to add blank lines at the beginning of the method body - option id: "org.eclipse.jdt.core.formatter.number_of_blank_lines_at_beginning_of_method_body" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_FIELD` FORMATTER / Option to add blank lines before a field declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_field" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_FIRST_CLASS_BODY_DECLARATION` FORMATTER / Option to add blank lines before the first class body declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_first_class_body_declaration" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_IMPORTS` FORMATTER / Option to add blank lines before the imports declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_imports" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_MEMBER_TYPE` FORMATTER / Option to add blank lines before a member type declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_member_type" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_METHOD` FORMATTER / Option to add blank lines before a method declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_method" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_NEW_CHUNK` FORMATTER / Option to add blank lines before a new chunk - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_new_chunk" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BEFORE_PACKAGE` FORMATTER / Option to add blank lines before the package declaration - option id: "org.eclipse.jdt.core.formatter.blank_lines_before_package" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BLANK_LINES_BETWEEN_TYPE_DECLARATIONS` FORMATTER / Option to add blank lines between type declarations - option id: "org.eclipse.jdt.core.formatter.blank_lines_between_type_declarations" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION` FORMATTER / Option to position the braces of a anonymous type declaration - option id: "org.eclipse.jdt.core.formatter.brace_position_for_anonymous_type_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER` FORMATTER / Option to position the braces of an array initializer - option id: "org.eclipse.jdt.core.formatter.brace_position_for_array_initializer" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_BLOCK` FORMATTER / Option to position the braces of a block - option id: "org.eclipse.jdt.core.formatter.brace_position_for_block" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE` FORMATTER / Option to position the braces of a block in a case statement when the block is the first statement following the case - option id: "org.eclipse.jdt.core.formatter.brace_position_for_block_in_case" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION` FORMATTER / Option to position the braces of a constructor declaration - option id: "org.eclipse.jdt.core.formatter.brace_position_for_constructor_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION` FORMATTER / Option to position the braces of a method declaration - option id: "org.eclipse.jdt.core.formatter.brace_position_for_method_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_SWITCH` FORMATTER / Option to position the braces of a switch statement - option id: "org.eclipse.jdt.core.formatter.brace_position_for_switch" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION` FORMATTER / Option to position the braces of a type declaration - option id: "org.eclipse.jdt.core.formatter.brace_position_for_type_declaration" - possible values: { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP } - default: END_OF_LINE
`static String` | `FORMATTER_COMPACT_ELSE_IF` FORMATTER / Option to compact else/if - option id: "org.eclipse.jdt.core.formatter.compact_else_if" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_CONTINUATION_INDENTATION` FORMATTER / Option to set the continuation indentation - option id: "org.eclipse.jdt.core.formatter.continuation_indentation" - possible values: "<n>", where n is zero or a positive integer - default: "2"
`static String` | `FORMATTER_CONTINUATION_INDENTATION_FOR_ARRAY_INITIALIZER` FORMATTER / Option to set the continuation indentation inside array initializer - option id: "org.eclipse.jdt.core.formatter.continuation_indentation_for_array_initializer" - possible values: "<n>", where n is zero or a positive integer - default: "2"
`static String` | `FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_TYPE_HEADER` FORMATTER / Option to indent body declarations compare to its enclosing type header - option id: "org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_type_header" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES` FORMATTER / Option to indent breaks compare to cases - option id: "org.eclipse.jdt.core.formatter.indent_breaks_compare_to_cases" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK` FORMATTER / Option to indent statements inside a block - option id: "org.eclipse.jdt.core.formatter.indent_statements_compare_to_block" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY` FORMATTER / Option to indent statements inside the body of a method or a constructor - option id: "org.eclipse.jdt.core.formatter.indent_statements_compare_to_body" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES` FORMATTER / Option to indent switch statements compare to cases - option id: "org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_cases" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH` FORMATTER / Option to indent switch statements compare to switch - option id: "org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_switch" - possible values: { TRUE, FALSE } - default: TRUE
`static String` | `FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a new line after the opening brace in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT` FORMATTER / Option to insert a new line before the catch keyword in try statement - option id: "org.eclipse.jdt.core.formatter.insert_new_line_before_catch_in_try_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a new line before the closing brace in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT` FORMATTER / Option to insert a new line before the else keyword in if statement - option id: "org.eclipse.jdt.core.formatter.insert_new_line_before_else_in_if_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_BEFORE_FINALLY_IN_TRY_STATEMENT` FORMATTER / Option to insert a new line before the finally keyword in try statement - option id: "org.eclipse.jdt.core.formatter.insert_new_line_before_finally_in_try_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT` FORMATTER / Option to insert a new line before while in do statement - option id: "org.eclipse.jdt.core.formatter.insert_new_line_before_while_in_do_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_IN_EMPTY_ANONYMOUS_TYPE_DECLARATION` FORMATTER / Option to insert a new line in an empty anonymous type declaration - option id: "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_anonymous_type_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK` FORMATTER / Option to insert a new line in an empty block - option id: "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_IN_EMPTY_METHOD_BODY` FORMATTER / Option to insert a new line in an empty method body - option id: "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_method_body" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_NEW_LINE_IN_EMPTY_TYPE_DECLARATION` FORMATTER / Option to insert a new line in an empty type declaration - option id: "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_type_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR` FORMATTER / Option to insert a space after an assignment operator - option id: "org.eclipse.jdt.core.formatter.insert_space_after_assignment_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR` FORMATTER / Option to insert a space after a binary operator - option id: "org.eclipse.jdt.core.formatter.insert_space_after_binary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK` FORMATTER / Option to insert a space after the closing brace of a block - option id: "org.eclipse.jdt.core.formatter.insert_space_after_closing_brace_in_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST` FORMATTER / Option to insert a space after the closing parenthesis of a cast expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_closing_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_ASSERT` FORMATTER / Option to insert a space after the colon in an assert statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_assert" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE` FORMATTER / Option to insert a space after colon in a case statement when a opening brace follows the colon - option id: "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_case" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL` FORMATTER / Option to insert a space after the colon in a conditional expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT` FORMATTER / Option to insert a space after the colon in a labeled statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_labeled_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space after the comma in an allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space after the comma in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space after the comma in the parameters of a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS` FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS` FORMATTER / Option to insert a space after the comma in the arguments of an explicit constructor call - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_explicitconstructorcall_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INCREMENTS` FORMATTER / Option to insert a space after the comma in the increments of a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_increments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INITS` FORMATTER / Option to insert a space after the comma in the initializations of a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_inits" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space after the comma in the parameters of a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS` FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS` FORMATTER / Option to insert a space after the comma in the arguments of a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS` FORMATTER / Option to insert a space after the comma in multiple field declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_field_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS` FORMATTER / Option to insert a space after the comma in multiple local declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_local_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_SUPERINTERFACES` FORMATTER / Option to insert a space after the comma in superinterfaces names of a type header - option id: "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_superinterfaces" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space after the opening brace in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space after the opening bracket inside an array allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_REFERENCE` FORMATTER / Option to insert a space after the opening bracket inside an array reference - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_reference" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST` FORMATTER / Option to insert a space after the opening parenthesis in a cast expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH` FORMATTER / Option to insert a space after the opening parenthesis in a catch - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option to insert a space after the opening parenthesis in a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_constructor_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR` FORMATTER / Option to insert a space after the opening parenthesis in a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF` FORMATTER / Option to insert a space after the opening parenthesis in an if statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space after the opening parenthesis in a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space after the opening parenthesis in a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space after the opening parenthesis in a parenthesized expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space after the opening parenthesis in a switch statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SYNCHRONIZED` FORMATTER / Option to insert a space after the opening parenthesis in a synchronized statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_synchronized" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE` FORMATTER / Option to insert a space after the opening parenthesis in a while statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR` FORMATTER / Option to insert a space after a postfix operator - option id: "org.eclipse.jdt.core.formatter.insert_space_after_postfix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR` FORMATTER / Option to insert a space after a prefix operator - option id: "org.eclipse.jdt.core.formatter.insert_space_after_prefix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL` FORMATTER / Option to insert a space after question mark in a conditional expression - option id: "org.eclipse.jdt.core.formatter.insert_space_after_question_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR` FORMATTER / Option to insert a space after semicolon in a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_after_semicolon_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR` FORMATTER / Option to insert a space after an unary operator - option id: "org.eclipse.jdt.core.formatter.insert_space_after_unary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR` FORMATTER / Option to insert a space before an assignment operator - option id: "org.eclipse.jdt.core.formatter.insert_space_before_assignment_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR` FORMATTER / Option to insert a space before an binary operator - option id: "org.eclipse.jdt.core.formatter.insert_space_before_binary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space before the closing brace in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space before the closing bracket in an array allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_REFERENCE` FORMATTER / Option to insert a space before the closing bracket in an array reference - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_reference" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST` FORMATTER / Option to insert a space before the closing parenthesis in a cast expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_cast" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH` FORMATTER / Option to insert a space before the closing parenthesis in a catch - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option to insert a space before the closing parenthesis in a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_constructor_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR` FORMATTER / Option to insert a space before the closing parenthesis in a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF` FORMATTER / Option to insert a space before the closing parenthesis in an if statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the closing parenthesis in a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space before the closing parenthesis in a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space before the closing parenthesis in a parenthesized expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space before the closing parenthesis in a switch statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SYNCHRONIZED` FORMATTER / Option to insert a space before the closing parenthesis in a synchronized statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_synchronized" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE` FORMATTER / Option to insert a space before the closing parenthesis in a while statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_ASSERT` FORMATTER / Option to insert a space before colon in an assert statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_assert" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE` FORMATTER / Option to insert a space before colon in a case statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_case" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL` FORMATTER / Option to insert a space before colon in a conditional expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT` FORMATTER / Option to insert a space before colon in a default statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_default" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT` FORMATTER / Option to insert a space before colon in a labeled statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_labeled_statement" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space before comma in an allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space before comma in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space before comma in the parameters of a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS` FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS` FORMATTER / Option to insert a space before comma in the arguments of an explicit constructor call - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_explicitconstructorcall_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INCREMENTS` FORMATTER / Option to insert a space before comma in the increments of a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_increments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INITS` FORMATTER / Option to insert a space before comma in the initializations of a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_inits" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS` FORMATTER / Option to insert a space before comma in the parameters of a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS` FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_throws" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS` FORMATTER / Option to insert a space before comma in the arguments of a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS` FORMATTER / Option to insert a space before comma in a multiple field declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_field_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS` FORMATTER / Option to insert a space before comma in a multiple local declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_local_declarations" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_SUPERINTERFACES` FORMATTER / Option to insert a space before comma in the superinterfaces names in a type header - option id: "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_superinterfaces" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ANONYMOUS_TYPE_DECLARATION` FORMATTER / Option to insert a space before the opening brace in an anonymous type declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_anonymous_type_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space before the opening brace in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK` FORMATTER / Option to insert a space before the opening brace in a block - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_block" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_constructor_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH` FORMATTER / Option to insert a space before the opening brace in a switch statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION` FORMATTER / Option to insert a space before the opening brace in a type declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_type_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space before the opening bracket in an array allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_REFERENCE` FORMATTER / Option to insert a space before the opening bracket in an array reference - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_reference" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_TYPE_REFERENCE` FORMATTER / Option to insert a space before the opening bracket in an array type reference - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_type_reference" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH` FORMATTER / Option to insert a space before the opening parenthesis in a catch - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_catch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option to insert a space before the opening parenthesis in a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_constructor_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR` FORMATTER / Option to insert a space before the opening parenthesis in a for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF` FORMATTER / Option to insert a space before the opening parenthesis in an if statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_if" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space before the opening parenthesis in a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space before the opening parenthesis in a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION` FORMATTER / Option to insert a space before the opening parenthesis in a parenthesized expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH` FORMATTER / Option to insert a space before the opening parenthesis in a switch statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_switch" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SYNCHRONIZED` FORMATTER / Option to insert a space before the opening parenthesis in a synchronized statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_synchronized" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE` FORMATTER / Option to insert a space before the opening parenthesis in a while statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_while" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR` FORMATTER / Option to insert a space before a postfix operator - option id: "org.eclipse.jdt.core.formatter.insert_space_before_postfix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR` FORMATTER / Option to insert a space before a prefix operator - option id: "org.eclipse.jdt.core.formatter.insert_space_before_prefix_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL` FORMATTER / Option to insert a space before question mark in a conditional expression - option id: "org.eclipse.jdt.core.formatter.insert_space_before_question_in_conditional" - possible values: { INSERT, DO_NOT_INSERT } - default: INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON` FORMATTER / Option to insert a space before semicolon - option id: "org.eclipse.jdt.core.formatter.insert_space_before_semicolon" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR` FORMATTER / Option to insert a space before semicolon in for statement - option id: "org.eclipse.jdt.core.formatter.insert_space_before_semicolon_in_for" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR` FORMATTER / Option to insert a space before unary operator - option id: "org.eclipse.jdt.core.formatter.insert_space_before_unary_operator" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_BRACKETS_IN_ARRAY_TYPE_REFERENCE` FORMATTER / Option to insert a space between brackets in an array type reference - option id: "org.eclipse.jdt.core.formatter.insert_space_between_brackets_in_array_type_reference" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_ARRAY_INITIALIZER` FORMATTER / Option to insert a space between empty braces in an array initializer - option id: "org.eclipse.jdt.core.formatter.insert_space_between_empty_braces_in_array_initializer" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS_IN_ARRAY_ALLOCATION_EXPRESSION` FORMATTER / Option to insert a space between empty brackets in an array allocation expression - option id: "org.eclipse.jdt.core.formatter.insert_space_between_empty_brackets_in_array_allocation_expression" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_CONSTRUCTOR_DECLARATION` FORMATTER / Option to insert a space between empty parenthesis in a constructor declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_constructor_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION` FORMATTER / Option to insert a space between empty parenthesis in a method declaration - option id: "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_declaration" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION` FORMATTER / Option to insert a space between empty parenthesis in a method invocation - option id: "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_invocation" - possible values: { INSERT, DO_NOT_INSERT } - default: DO_NOT_INSERT
`static String` | `FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE` FORMATTER / Option to keep else statement on the same line - option id: "org.eclipse.jdt.core.formatter.keep_else_statement_on_same_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_KEEP_EMPTY_ARRAY_INITIALIZER_ON_ONE_LINE` FORMATTER / Option to keep empty array initializer one one line - option id: "org.eclipse.jdt.core.formatter.keep_empty_array_initializer_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE` FORMATTER / Option to keep guardian clause on one line - option id: "org.eclipse.jdt.core.formatter.format_guardian_clause_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE` FORMATTER / Option to keep simple if statement on the one line - option id: "org.eclipse.jdt.core.formatter.keep_imple_if_on_one_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE` FORMATTER / Option to keep then statement on the same line - option id: "org.eclipse.jdt.core.formatter.keep_then_statement_on_same_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_LINE_SPLIT` FORMATTER / Option to specify the length of the page.
`static String` | `FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE` FORMATTER / Option to specify the number of empty lines to preserve - option id: "org.eclipse.jdt.core.formatter.number_of_empty_lines_to_preserve" - possible values: "<n>", where n is zero or a positive integer - default: "0"
`static String` | `FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE` FORMATTER / Option to specify whether or not empty statement should be on a new line - option id: "org.eclipse.jdt.core.formatter.put_empty_statement_on_new_line" - possible values: { TRUE, FALSE } - default: FALSE
`static String` | `FORMATTER_TAB_CHAR` FORMATTER / Option to specify the tabulation size - option id: "org.eclipse.jdt.core.formatter.tabulation.size" - possible values: { TAB, SPACE } - default: TAB
`static String` | `FORMATTER_TAB_SIZE` FORMATTER / Option to specify the tabulation size - option id: "org.eclipse.jdt.core.formatter.tabulation.size" - possible values: "<n>", where n is zero or a positive integer - default: "4"
`static int` | `INDENT_BY_ONE` FORMATTER / The wrapping is done by indenting by one compare to the current indentation.
`static int` | `INDENT_DEFAULT` FORMATTER / The wrapping is done by using the current indentation.
`static int` | `INDENT_ON_COLUMN` FORMATTER / The wrapping is done by indenting on column under the splitting location.
`static String` | `NEXT_LINE` FORMATTER / Value to set a brace location at the start of the next line with the right indentation.
`static String` | `NEXT_LINE_ON_WRAP` FORMATTER / Value to set a brace location at the start of the next line if a wrapping occured.
`static String` | `NEXT_LINE_SHIFTED` FORMATTER / Value to set a brace location at the start of the next line with an extra indentation.
`static String` | `TRUE` FORMATTER / Value to set an option to false.
`static int` | `WRAP_COMPACT` FORMATTER / The wrapping is done using as few lines as possible.
`static int` | `WRAP_COMPACT_FIRST_BREAK` FORMATTER / The wrapping is done putting the first element on a new line and then wrapping next elements using as few lines as possible.
`static int` | `WRAP_NEXT_PER_LINE` FORMATTER / The wrapping is done by putting each element on its own line except the first element.
`static int` | `WRAP_NEXT_SHIFTED` FORMATTER / The wrapping is done by putting each element on its own line.
`static int` | `WRAP_NO_SPLIT` FORMATTER / Value to disable alignment.
`static int` | `WRAP_ONE_PER_LINE` FORMATTER / The wrapping is done by putting each element on its own line.

Constructor Summary
`DefaultCodeFormatterConstants()`

Method Summary
`static String` | `createAlignmentValue(boolean forceSplit, int wrapStyle, int indentStyle)` Create a new alignment value according to the given values.
`static Map` | `getEclipse21Settings()` Returns the formatter settings that most closely approximate the default formatter settings of Eclipse version 2.1.
`static boolean` | `getForceWrapping(String value)` Return the force value of the given alignment value.
`static int` | `getIndentStyle(String value)` Return the indentation style of the given alignment value.
`static Map` | `getJavaConventionsSettings()` Returns the settings according to the Java conventions.
`static int` | `getWrappingStyle(String value)` Return the wrapping style of the given alignment value.
`static String` | `setForceWrapping(String value, boolean force)` Set the force value of the given alignment value and return the new value.
`static String` | `setIndentStyle(String value, int indentStyle)` Set the indentation style of the given alignment value and return the new value.
`static String` | `setWrappingStyle(String value, int wrappingStyle)` Set the wrapping style of the given alignment value and return the new value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### END_OF_LINE

    public static final String END_OF_LINE

       FORMATTER / Value to set a brace location at the end of a line.

  Since:
    3.0
  See Also:
    `FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

### NEXT_LINE

    public static final String NEXT_LINE

       FORMATTER / Value to set a brace location at the start of the next line with
                   the right indentation.

  Since:
    3.0
  See Also:
    `FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

### NEXT_LINE_SHIFTED

    public static final String NEXT_LINE_SHIFTED

       FORMATTER / Value to set a brace location at the start of the next line with
                   an extra indentation.

  Since:
    3.0
  See Also:
    `FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

### NEXT_LINE_ON_WRAP

    public static final String NEXT_LINE_ON_WRAP

       FORMATTER / Value to set a brace location at the start of the next line if a wrapping
                   occured.

  Since:
    3.0
  See Also:
    `FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER`, `FORMATTER_BRACE_POSITION_FOR_BLOCK`, `FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION`, `FORMATTER_BRACE_POSITION_FOR_SWITCH`, `FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION`, Constant Field Values

### FALSE

    public static final String FALSE

       FORMATTER / Value to set an option to true.

  Since:
    3.0
  See Also:
    Constant Field Values

### TRUE

    public static final String TRUE

       FORMATTER / Value to set an option to false.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_NO_SPLIT

    public static final int WRAP_NO_SPLIT

       FORMATTER / Value to disable alignment.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_COMPACT

    public static final int WRAP_COMPACT

       FORMATTER / The wrapping is done using as few lines as possible.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_COMPACT_FIRST_BREAK

    public static final int WRAP_COMPACT_FIRST_BREAK

       FORMATTER / The wrapping is done putting the first element on a new
                   line and then wrapping next elements using as few lines as possible.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_ONE_PER_LINE

    public static final int WRAP_ONE_PER_LINE

       FORMATTER / The wrapping is done by putting each element on its own line.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_NEXT_SHIFTED

    public static final int WRAP_NEXT_SHIFTED

       FORMATTER / The wrapping is done by putting each element on its own line.
                   All elements are indented by one except the first element.

  Since:
    3.0
  See Also:
    Constant Field Values

### WRAP_NEXT_PER_LINE

    public static final int WRAP_NEXT_PER_LINE

       FORMATTER / The wrapping is done by putting each element on its own line
                   except the first element.

  Since:
    3.0
  See Also:
    Constant Field Values

### INDENT_DEFAULT

    public static final int INDENT_DEFAULT

       FORMATTER / The wrapping is done by using the current indentation.

  Since:
    3.0
  See Also:
    Constant Field Values

### INDENT_ON_COLUMN

    public static final int INDENT_ON_COLUMN

       FORMATTER / The wrapping is done by indenting on column under the splitting location.

  Since:
    3.0
  See Also:
    Constant Field Values

### INDENT_BY_ONE

    public static final int INDENT_BY_ONE

       FORMATTER / The wrapping is done by indenting by one compare to the current indentation.

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_ALLOCATION_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_ALLOCATION_EXPRESSION

       FORMATTER / Option for alignment of arguments in allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_EXPLICIT_CONSTRUCTOR_CALL

    public static final String FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_EXPLICIT_CONSTRUCTOR_CALL

       FORMATTER / Option for alignment of arguments in explicit constructor call
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_explicit_constructor_call"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION

    public static final String FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_METHOD_INVOCATION

       FORMATTER / Option for alignment of arguments in method invocation
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_method_invocation"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_QUALIFIED_ALLOCATION_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_ARGUMENTS_IN_QUALIFIED_ALLOCATION_EXPRESSION

       FORMATTER / Option for alignment of arguments in qualified allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_arguments_in_qualified_allocation_expression"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_BINARY_EXPRESSION

       FORMATTER / Option for alignment of binary expression
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_binary_expression"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_COMPACT_IF

    public static final String FORMATTER_ALIGNMENT_FOR_COMPACT_IF

       FORMATTER / Option for alignment of compact if
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_compact_if"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_BY_ONE)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION

    public static final String FORMATTER_ALIGNMENT_FOR_CONDITIONAL_EXPRESSION

       FORMATTER / Option for alignment of conditional expression
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_conditional_expression"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_ONE_PER_LINE, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_ALIGNMENT_FOR_EXPRESSIONS_IN_ARRAY_INITIALIZER

       FORMATTER / Option for alignment of expressions in array initializer
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_expressions_in_array_initializer"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_MULTIPLE_FIELDS

    public static final String FORMATTER_ALIGNMENT_FOR_MULTIPLE_FIELDS

       FORMATTER / Option for alignment of multiple fields
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_multiple_fields"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option for alignment of parameters in constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_parameters_in_constructor_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_PARAMETERS_IN_METHOD_DECLARATION

       FORMATTER / Option for alignment of parameters in method declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_parameters_in_method_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_SELECTOR_IN_METHOD_INVOCATION

    public static final String FORMATTER_ALIGNMENT_FOR_SELECTOR_IN_METHOD_INVOCATION

       FORMATTER / Option for alignment of selector in method invocation
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_selector_in_method_invocation"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_SUPERCLASS_IN_TYPE_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_SUPERCLASS_IN_TYPE_DECLARATION

       FORMATTER / Option for alignment of superclass in type declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_superclass_in_type_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_SUPERINTERFACES_IN_TYPE_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_SUPERINTERFACES_IN_TYPE_DECLARATION

       FORMATTER / Option for alignment of superinterfaces in type declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_superinterfaces_in_type_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_NEXT_SHIFTED, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option for alignment of throws clause in constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_constructor_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION

    public static final String FORMATTER_ALIGNMENT_FOR_THROWS_CLAUSE_IN_METHOD_DECLARATION

       FORMATTER / Option for alignment of throws clause in method declaration
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_method_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_ALIGN_TYPE_MEMBERS_ON_COLUMNS

    public static final String FORMATTER_ALIGN_TYPE_MEMBERS_ON_COLUMNS

       FORMATTER / Option to align type members of a type declaration on column
           - option id:         "org.eclipse.jdt.core.formatter.alignment_for_throws_clause_in_method_declaration"
           - possible values:   values returned by createAlignmentValue(boolean, int, int) call
           - default:           createAlignmentValue(false, WRAP_COMPACT, INDENT_DEFAULT)

  Since:
    3.0
  See Also:
    `createAlignmentValue(boolean, int, int)`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_ANONYMOUS_TYPE_DECLARATION

       FORMATTER / Option to position the braces of a anonymous type declaration
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_anonymous_type_declaration"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER

    public static final String FORMATTER_BRACE_POSITION_FOR_ARRAY_INITIALIZER

       FORMATTER / Option to position the braces of an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_array_initializer"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_BLOCK

    public static final String FORMATTER_BRACE_POSITION_FOR_BLOCK

       FORMATTER / Option to position the braces of a block
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_block"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE

    public static final String FORMATTER_BRACE_POSITION_FOR_BLOCK_IN_CASE

       FORMATTER / Option to position the braces of a block in a case statement when the block is the first statement following
                   the case
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_block_in_case"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to position the braces of a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_constructor_declaration"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_METHOD_DECLARATION

       FORMATTER / Option to position the braces of a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_method_declaration"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION

    public static final String FORMATTER_BRACE_POSITION_FOR_TYPE_DECLARATION

       FORMATTER / Option to position the braces of a type declaration
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_type_declaration"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_BRACE_POSITION_FOR_SWITCH

    public static final String FORMATTER_BRACE_POSITION_FOR_SWITCH

       FORMATTER / Option to position the braces of a switch statement
           - option id:         "org.eclipse.jdt.core.formatter.brace_position_for_switch"
           - possible values:   { END_OF_LINE, NEXT_LINE, NEXT_LINE_SHIFTED, NEXT_LINE_ON_WRAP }
           - default:           END_OF_LINE

  Since:
    3.0
  See Also:
    `END_OF_LINE`, `NEXT_LINE`, `NEXT_LINE_SHIFTED`, `NEXT_LINE_ON_WRAP`, Constant Field Values

### FORMATTER_CONTINUATION_INDENTATION

    public static final String FORMATTER_CONTINUATION_INDENTATION

       FORMATTER / Option to set the continuation indentation
           - option id:         "org.eclipse.jdt.core.formatter.continuation_indentation"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "2"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_CONTINUATION_INDENTATION_FOR_ARRAY_INITIALIZER

    public static final String FORMATTER_CONTINUATION_INDENTATION_FOR_ARRAY_INITIALIZER

       FORMATTER / Option to set the continuation indentation inside array initializer
           - option id:         "org.eclipse.jdt.core.formatter.continuation_indentation_for_array_initializer"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "2"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_AFTER_IMPORTS

    public static final String FORMATTER_BLANK_LINES_AFTER_IMPORTS

       FORMATTER / Option to add blank lines after the imports declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_after_imports"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_AFTER_PACKAGE

    public static final String FORMATTER_BLANK_LINES_AFTER_PACKAGE

       FORMATTER / Option to add blank lines after the package declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_after_package"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_FIELD

    public static final String FORMATTER_BLANK_LINES_BEFORE_FIELD

       FORMATTER / Option to add blank lines before a field declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_field"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_FIRST_CLASS_BODY_DECLARATION

    public static final String FORMATTER_BLANK_LINES_BEFORE_FIRST_CLASS_BODY_DECLARATION

       FORMATTER / Option to add blank lines before the first class body declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_first_class_body_declaration"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_IMPORTS

    public static final String FORMATTER_BLANK_LINES_BEFORE_IMPORTS

       FORMATTER / Option to add blank lines before the imports declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_imports"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_MEMBER_TYPE

    public static final String FORMATTER_BLANK_LINES_BEFORE_MEMBER_TYPE

       FORMATTER / Option to add blank lines before a member type declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_member_type"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_METHOD

    public static final String FORMATTER_BLANK_LINES_BEFORE_METHOD

       FORMATTER / Option to add blank lines before a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_method"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_NEW_CHUNK

    public static final String FORMATTER_BLANK_LINES_BEFORE_NEW_CHUNK

       FORMATTER / Option to add blank lines before a new chunk
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_new_chunk"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BEFORE_PACKAGE

    public static final String FORMATTER_BLANK_LINES_BEFORE_PACKAGE

       FORMATTER / Option to add blank lines before the package declaration
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_before_package"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_BETWEEN_TYPE_DECLARATIONS

    public static final String FORMATTER_BLANK_LINES_BETWEEN_TYPE_DECLARATIONS

       FORMATTER / Option to add blank lines between type declarations
           - option id:         "org.eclipse.jdt.core.formatter.blank_lines_between_type_declarations"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_BLANK_LINES_AT_BEGINNING_OF_METHOD_BODY

    public static final String FORMATTER_BLANK_LINES_AT_BEGINNING_OF_METHOD_BODY

       FORMATTER / Option to add blank lines at the beginning of the method body
           - option id:         "org.eclipse.jdt.core.formatter.number_of_blank_lines_at_beginning_of_method_body"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_TYPE_HEADER

    public static final String FORMATTER_INDENT_BODY_DECLARATIONS_COMPARE_TO_TYPE_HEADER

       FORMATTER / Option to indent body declarations compare to its enclosing type header
           - option id:         "org.eclipse.jdt.core.formatter.indent_body_declarations_compare_to_type_header"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES

    public static final String FORMATTER_INDENT_BREAKS_COMPARE_TO_CASES

       FORMATTER / Option to indent breaks compare to cases
           - option id:         "org.eclipse.jdt.core.formatter.indent_breaks_compare_to_cases"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK

    public static final String FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BLOCK

       FORMATTER / Option to indent statements inside a block
           - option id:         "org.eclipse.jdt.core.formatter.indent_statements_compare_to_block"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY

    public static final String FORMATTER_INDENT_STATEMENTS_COMPARE_TO_BODY

       FORMATTER / Option to indent statements inside the body of a method or a constructor
           - option id:         "org.eclipse.jdt.core.formatter.indent_statements_compare_to_body"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES

    public static final String FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_CASES

       FORMATTER / Option to indent switch statements compare to cases
           - option id:         "org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_cases"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH

    public static final String FORMATTER_INDENT_SWITCHSTATEMENTS_COMPARE_TO_SWITCH

       FORMATTER / Option to indent switch statements compare to switch
           - option id:         "org.eclipse.jdt.core.formatter.indent_switchstatements_compare_to_switch"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_NEW_LINE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a new line after the opening brace in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_after_opening_brace_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_CATCH_IN_TRY_STATEMENT

       FORMATTER / Option to insert a new line before the catch keyword in try statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_before_catch_in_try_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a new line before the closing brace in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_before_closing_brace_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_ELSE_IN_IF_STATEMENT

       FORMATTER / Option to insert a new line before the else keyword in if statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_before_else_in_if_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_BEFORE_FINALLY_IN_TRY_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_FINALLY_IN_TRY_STATEMENT

       FORMATTER / Option to insert a new line before the finally keyword in try statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_before_finally_in_try_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT

    public static final String FORMATTER_INSERT_NEW_LINE_BEFORE_WHILE_IN_DO_STATEMENT

       FORMATTER / Option to insert a new line before while in do statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_before_while_in_do_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_IN_EMPTY_ANONYMOUS_TYPE_DECLARATION

    public static final String FORMATTER_INSERT_NEW_LINE_IN_EMPTY_ANONYMOUS_TYPE_DECLARATION

       FORMATTER / Option to insert a new line in an empty anonymous type declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_anonymous_type_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK

    public static final String FORMATTER_INSERT_NEW_LINE_IN_EMPTY_BLOCK

       FORMATTER / Option to insert a new line in an empty block
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_block"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_IN_EMPTY_METHOD_BODY

    public static final String FORMATTER_INSERT_NEW_LINE_IN_EMPTY_METHOD_BODY

       FORMATTER / Option to insert a new line in an empty method body
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_method_body"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_NEW_LINE_IN_EMPTY_TYPE_DECLARATION

    public static final String FORMATTER_INSERT_NEW_LINE_IN_EMPTY_TYPE_DECLARATION

       FORMATTER / Option to insert a new line in an empty type declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_new_line_in_empty_type_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_ASSIGNMENT_OPERATOR

       FORMATTER / Option to insert a space after an assignment operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_assignment_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_BINARY_OPERATOR

       FORMATTER / Option to insert a space after a binary operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_binary_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_PAREN_IN_CAST

       FORMATTER / Option to insert a space after the closing parenthesis of a cast expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_closing_paren_in_cast"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK

    public static final String FORMATTER_INSERT_SPACE_AFTER_CLOSING_BRACE_IN_BLOCK

       FORMATTER / Option to insert a space after the closing brace of a block
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_closing_brace_in_block"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_ASSERT

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_ASSERT

       FORMATTER / Option to insert a space after the colon in an assert statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_assert"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CASE

       FORMATTER / Option to insert a space after colon in a case statement when a opening brace follows the colon
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_case"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_CONDITIONAL

       FORMATTER / Option to insert a space after the colon in a conditional expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_conditional"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT

    public static final String FORMATTER_INSERT_SPACE_AFTER_COLON_IN_LABELED_STATEMENT

       FORMATTER / Option to insert a space after the colon in a labeled statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_colon_in_labeled_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space after the comma in an allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space after the comma in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS

       FORMATTER / Option to insert a space after the comma in the parameters of a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_parameters"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS

       FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_constructor_declaration_throws"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS

       FORMATTER / Option to insert a space after the comma in the arguments of an explicit constructor call
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_explicitconstructorcall_arguments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INCREMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INCREMENTS

       FORMATTER / Option to insert a space after the comma in the increments of a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_increments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INITS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_FOR_INITS

       FORMATTER / Option to insert a space after the comma in the initializations of a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_for_inits"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

       FORMATTER / Option to insert a space after the comma in the arguments of a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_invocation_arguments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_PARAMETERS

       FORMATTER / Option to insert a space after the comma in the parameters of a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_parameters"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_METHOD_DECLARATION_THROWS

       FORMATTER / Option to insert a space after the comma in the exception names in a throws clause of a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_method_declaration_throws"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS

       FORMATTER / Option to insert a space after the comma in multiple field declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_field_declarations"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS

       FORMATTER / Option to insert a space after the comma in multiple local declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_multiple_local_declarations"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_SUPERINTERFACES

    public static final String FORMATTER_INSERT_SPACE_AFTER_COMMA_IN_SUPERINTERFACES

       FORMATTER / Option to insert a space after the comma in superinterfaces names of a type header
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_comma_in_superinterfaces"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space after the opening bracket inside an array allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_REFERENCE

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACKET_IN_ARRAY_REFERENCE

       FORMATTER / Option to insert a space after the opening bracket inside an array reference
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_bracket_in_array_reference"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_BRACE_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space after the opening brace in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_brace_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CAST

       FORMATTER / Option to insert a space after the opening parenthesis in a cast expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_cast"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CATCH

       FORMATTER / Option to insert a space after the opening parenthesis in a catch
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_catch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to insert a space after the opening parenthesis in a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_constructor_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_FOR

       FORMATTER / Option to insert a space after the opening parenthesis in a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_for"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_IF

       FORMATTER / Option to insert a space after the opening parenthesis in an if statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_if"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_DECLARATION

       FORMATTER / Option to insert a space after the opening parenthesis in a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_METHOD_INVOCATION

       FORMATTER / Option to insert a space after the opening parenthesis in a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_method_invocation"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

       FORMATTER / Option to insert a space after the opening parenthesis in a parenthesized expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_parenthesized_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SWITCH

       FORMATTER / Option to insert a space after the opening parenthesis in a switch statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_switch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SYNCHRONIZED

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_SYNCHRONIZED

       FORMATTER / Option to insert a space after the opening parenthesis in a synchronized statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_synchronized"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_AFTER_OPENING_PAREN_IN_WHILE

       FORMATTER / Option to insert a space after the opening parenthesis in a while statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_opening_paren_in_while"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_POSTFIX_OPERATOR

       FORMATTER / Option to insert a space after a postfix operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_postfix_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_PREFIX_OPERATOR

       FORMATTER / Option to insert a space after a prefix operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_prefix_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_AFTER_QUESTION_IN_CONDITIONAL

       FORMATTER / Option to insert a space after question mark in a conditional expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_question_in_conditional"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_SEMICOLON_IN_FOR

       FORMATTER / Option to insert a space after semicolon in a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_semicolon_in_for"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_AFTER_UNARY_OPERATOR

       FORMATTER / Option to insert a space after an unary operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_after_unary_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_ASSIGNMENT_OPERATOR

       FORMATTER / Option to insert a space before an assignment operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_assignment_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_BINARY_OPERATOR

       FORMATTER / Option to insert a space before an binary operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_binary_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACE_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space before the closing brace in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_brace_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space before the closing bracket in an array allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_REFERENCE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_BRACKET_IN_ARRAY_REFERENCE

       FORMATTER / Option to insert a space before the closing bracket in an array reference
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_bracket_in_array_reference"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CAST

       FORMATTER / Option to insert a space before the closing parenthesis in a cast expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_cast"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CATCH

       FORMATTER / Option to insert a space before the closing parenthesis in a catch
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_catch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to insert a space before the closing parenthesis in a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_constructor_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_FOR

       FORMATTER / Option to insert a space before the closing parenthesis in a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_for"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_IF

       FORMATTER / Option to insert a space before the closing parenthesis in an if statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_if"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_DECLARATION

       FORMATTER / Option to insert a space before the closing parenthesis in a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_METHOD_INVOCATION

       FORMATTER / Option to insert a space before the closing parenthesis in a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_method_invocation"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_PARENTHESIZED_EXPRESSION

       FORMATTER / Option to insert a space before the closing parenthesis in a parenthesized expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_parenthesized_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SWITCH

       FORMATTER / Option to insert a space before the closing parenthesis in a switch statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_switch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SYNCHRONIZED

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_SYNCHRONIZED

       FORMATTER / Option to insert a space before the closing parenthesis in a synchronized statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_synchronized"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_CLOSING_PAREN_IN_WHILE

       FORMATTER / Option to insert a space before the closing parenthesis in a while statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_closing_paren_in_while"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_ASSERT

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_ASSERT

       FORMATTER / Option to insert a space before colon in an assert statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_assert"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CASE

       FORMATTER / Option to insert a space before colon in a case statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_case"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_CONDITIONAL

       FORMATTER / Option to insert a space before colon in a conditional expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_conditional"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_DEFAULT

       FORMATTER / Option to insert a space before colon in a default statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_default"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COLON_IN_LABELED_STATEMENT

       FORMATTER / Option to insert a space before colon in a labeled statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_colon_in_labeled_statement"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space before comma in an allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space before comma in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_PARAMETERS

       FORMATTER / Option to insert a space before comma in the parameters of a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_parameters"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_CONSTRUCTOR_DECLARATION_THROWS

       FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_constructor_declaration_throws"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_EXPLICIT_CONSTRUCTOR_CALL_ARGUMENTS

       FORMATTER / Option to insert a space before comma in the arguments of an explicit constructor call
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_explicitconstructorcall_arguments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INCREMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INCREMENTS

       FORMATTER / Option to insert a space before comma in the increments of a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_increments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INITS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_FOR_INITS

       FORMATTER / Option to insert a space before comma in the initializations of a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_for_inits"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_INVOCATION_ARGUMENTS

       FORMATTER / Option to insert a space before comma in the arguments of a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_invocation_arguments"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_PARAMETERS

       FORMATTER / Option to insert a space before comma in the parameters of a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_parameters"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_METHOD_DECLARATION_THROWS

       FORMATTER / Option to insert a space before comma in the exception names of the throws clause of a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_method_declaration_throws"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_FIELD_DECLARATIONS

       FORMATTER / Option to insert a space before comma in a multiple field declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_field_declarations"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_MULTIPLE_LOCAL_DECLARATIONS

       FORMATTER / Option to insert a space before comma in a multiple local declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_multiple_local_declarations"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_SUPERINTERFACES

    public static final String FORMATTER_INSERT_SPACE_BEFORE_COMMA_IN_SUPERINTERFACES

       FORMATTER / Option to insert a space before comma in the superinterfaces names in a type header
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_comma_in_superinterfaces"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ANONYMOUS_TYPE_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ANONYMOUS_TYPE_DECLARATION

       FORMATTER / Option to insert a space before the opening brace in an anonymous type declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_anonymous_type_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space before the opening brace in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_BLOCK

       FORMATTER / Option to insert a space before the opening brace in a block
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_block"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to insert a space before the opening brace in a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_constructor_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_METHOD_DECLARATION

       FORMATTER / Option to insert a space before the opening brace in a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_method_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_SWITCH

       FORMATTER / Option to insert a space before the opening brace in a switch statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_switch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACE_IN_TYPE_DECLARATION

       FORMATTER / Option to insert a space before the opening brace in a type declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_brace_in_type_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space before the opening bracket in an array allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_REFERENCE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_REFERENCE

       FORMATTER / Option to insert a space before the opening bracket in an array reference
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_reference"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_TYPE_REFERENCE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_BRACKET_IN_ARRAY_TYPE_REFERENCE

       FORMATTER / Option to insert a space before the opening bracket in an array type reference
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_bracket_in_array_type_reference"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CATCH

       FORMATTER / Option to insert a space before the opening parenthesis in a catch
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_catch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to insert a space before the opening parenthesis in a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_constructor_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_FOR

       FORMATTER / Option to insert a space before the opening parenthesis in a for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_for"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_IF

       FORMATTER / Option to insert a space before the opening parenthesis in an if statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_if"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_INVOCATION

       FORMATTER / Option to insert a space before the opening parenthesis in a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_invocation"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_METHOD_DECLARATION

       FORMATTER / Option to insert a space before the opening parenthesis in a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_method_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SWITCH

       FORMATTER / Option to insert a space before the opening parenthesis in a switch statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_switch"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SYNCHRONIZED

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_SYNCHRONIZED

       FORMATTER / Option to insert a space before the opening parenthesis in a synchronized statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_synchronized"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_PARENTHESIZED_EXPRESSION

       FORMATTER / Option to insert a space before the opening parenthesis in a parenthesized expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_parenthesized_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE

    public static final String FORMATTER_INSERT_SPACE_BEFORE_OPENING_PAREN_IN_WHILE

       FORMATTER / Option to insert a space before the opening parenthesis in a while statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_opening_paren_in_while"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_POSTFIX_OPERATOR

       FORMATTER / Option to insert a space before a postfix operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_postfix_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_PREFIX_OPERATOR

       FORMATTER / Option to insert a space before a prefix operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_prefix_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL

    public static final String FORMATTER_INSERT_SPACE_BEFORE_QUESTION_IN_CONDITIONAL

       FORMATTER / Option to insert a space before question mark in a conditional expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_question_in_conditional"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON

    public static final String FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON

       FORMATTER / Option to insert a space before semicolon
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_semicolon"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_SEMICOLON_IN_FOR

       FORMATTER / Option to insert a space before semicolon in for statement
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_semicolon_in_for"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR

    public static final String FORMATTER_INSERT_SPACE_BEFORE_UNARY_OPERATOR

       FORMATTER / Option to insert a space before unary operator
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_before_unary_operator"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_BRACKETS_IN_ARRAY_TYPE_REFERENCE

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_BRACKETS_IN_ARRAY_TYPE_REFERENCE

       FORMATTER / Option to insert a space between brackets in an array type reference
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_brackets_in_array_type_reference"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_ARRAY_INITIALIZER

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACES_IN_ARRAY_INITIALIZER

       FORMATTER / Option to insert a space between empty braces in an array initializer
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_empty_braces_in_array_initializer"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS_IN_ARRAY_ALLOCATION_EXPRESSION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_BRACKETS_IN_ARRAY_ALLOCATION_EXPRESSION

       FORMATTER / Option to insert a space between empty brackets in an array allocation expression
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_empty_brackets_in_array_allocation_expression"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_CONSTRUCTOR_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_CONSTRUCTOR_DECLARATION

       FORMATTER / Option to insert a space between empty parenthesis in a constructor declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_constructor_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_DECLARATION

       FORMATTER / Option to insert a space between empty parenthesis in a method declaration
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_declaration"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION

    public static final String FORMATTER_INSERT_SPACE_BETWEEN_EMPTY_PARENS_IN_METHOD_INVOCATION

       FORMATTER / Option to insert a space between empty parenthesis in a method invocation
           - option id:         "org.eclipse.jdt.core.formatter.insert_space_between_empty_parens_in_method_invocation"
           - possible values:   { INSERT, DO_NOT_INSERT }
           - default:           DO_NOT_INSERT

  Since:
    3.0
  See Also:
    `JavaCore.INSERT`, `JavaCore.DO_NOT_INSERT`, Constant Field Values

### FORMATTER_COMPACT_ELSE_IF

    public static final String FORMATTER_COMPACT_ELSE_IF

       FORMATTER / Option to compact else/if
           - option id:         "org.eclipse.jdt.core.formatter.compact_else_if"
           - possible values:   { TRUE, FALSE }
           - default:           TRUE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE

    public static final String FORMATTER_KEEP_GUARDIAN_CLAUSE_ON_ONE_LINE

       FORMATTER / Option to keep guardian clause on one line
           - option id:         "org.eclipse.jdt.core.formatter.format_guardian_clause_on_one_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE

    public static final String FORMATTER_KEEP_ELSE_STATEMENT_ON_SAME_LINE

       FORMATTER / Option to keep else statement on the same line
           - option id:         "org.eclipse.jdt.core.formatter.keep_else_statement_on_same_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_KEEP_EMPTY_ARRAY_INITIALIZER_ON_ONE_LINE

    public static final String FORMATTER_KEEP_EMPTY_ARRAY_INITIALIZER_ON_ONE_LINE

       FORMATTER / Option to keep empty array initializer one one line
           - option id:         "org.eclipse.jdt.core.formatter.keep_empty_array_initializer_on_one_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE

    public static final String FORMATTER_KEEP_SIMPLE_IF_ON_ONE_LINE

       FORMATTER / Option to keep simple if statement on the one line
           - option id:         "org.eclipse.jdt.core.formatter.keep_imple_if_on_one_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE

    public static final String FORMATTER_KEEP_THEN_STATEMENT_ON_SAME_LINE

       FORMATTER / Option to keep then statement on the same line
           - option id:         "org.eclipse.jdt.core.formatter.keep_then_statement_on_same_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE

    public static final String FORMATTER_NUMBER_OF_EMPTY_LINES_TO_PRESERVE

       FORMATTER / Option to specify the number of empty lines to preserve
           - option id:         "org.eclipse.jdt.core.formatter.number_of_empty_lines_to_preserve"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "0"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE

    public static final String FORMATTER_PUT_EMPTY_STATEMENT_ON_NEW_LINE

       FORMATTER / Option to specify whether or not empty statement should be on a new line
           - option id:         "org.eclipse.jdt.core.formatter.put_empty_statement_on_new_line"
           - possible values:   { TRUE, FALSE }
           - default:           FALSE

  Since:
    3.0
  See Also:
    `TRUE`, `FALSE`, Constant Field Values

### FORMATTER_LINE_SPLIT

    public static final String FORMATTER_LINE_SPLIT

       FORMATTER / Option to specify the length of the page. Beyond this length, the formatter will try to split the code
           - option id:         "org.eclipse.jdt.core.formatter.lineSplit"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "80"

  Since:
    3.0
  See Also:
    Constant Field Values

### FORMATTER_TAB_CHAR

    public static final String FORMATTER_TAB_CHAR

       FORMATTER / Option to specify the tabulation size
           - option id:         "org.eclipse.jdt.core.formatter.tabulation.size"
           - possible values:   { TAB, SPACE }
           - default:           TAB

  Since:
    3.0
  See Also:
    `JavaCore.TAB`, `JavaCore.SPACE`, Constant Field Values

### FORMATTER_TAB_SIZE

    public static final String FORMATTER_TAB_SIZE

       FORMATTER / Option to specify the tabulation size
           - option id:         "org.eclipse.jdt.core.formatter.tabulation.size"
           - possible values:   "<n>", where n is zero or a positive integer
           - default:           "4"

  Since:
    3.0
  See Also:
    Constant Field Values

Constructor Detail

### DefaultCodeFormatterConstants

    public DefaultCodeFormatterConstants()

Method Detail

### getEclipse21Settings

    public static Map getEclipse21Settings()

  Returns the formatter settings that most closely approximate the default formatter settings of Eclipse version 2.1.

  Returns:
    the Eclipse 2.1 settings
  Since:
    3.0

### getJavaConventionsSettings

    public static Map getJavaConventionsSettings()

  Returns the settings according to the Java conventions.

  Returns:
    the settings according to the Java conventions
  Since:
    3.0

### getForceWrapping

    public static boolean getForceWrapping(String value)

  Return the force value of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
  Returns:
    the force value of the given alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
  See Also:
    `createAlignmentValue(boolean, int, int)`

### getIndentStyle

    public static int getIndentStyle(String value)

  Return the indentation style of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
  Returns:
    the indentation style of the given alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
  See Also:
    `createAlignmentValue(boolean, int, int)`

### getWrappingStyle

    public static int getWrappingStyle(String value)

  Return the wrapping style of the given alignment value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
  Returns:
    the wrapping style of the given alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
  See Also:
    `createAlignmentValue(boolean, int, int)`

### setIndentStyle

    public static String setIndentStyle(String value,
                                        int indentStyle)

  Set the indentation style of the given alignment value and return the new value. The given value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
    `indentStyle` - the given indentation style
  Returns:
    the new alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, if the given indentation style is not one of the possible indentation styles, or if the given alignment value doesn't have a valid format.
  See Also:
    `INDENT_BY_ONE`, `INDENT_DEFAULT`, `INDENT_ON_COLUMN`, `createAlignmentValue(boolean, int, int)`

### setForceWrapping

    public static String setForceWrapping(String value,
                                          boolean force)

  Set the force value of the given alignment value and return the new value. The given alignment value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
    `force` - the given force value
  Returns:
    the new alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, or if it doesn't have a valid format.
  See Also:
    `createAlignmentValue(boolean, int, int)`

### setWrappingStyle

    public static String setWrappingStyle(String value,
                                          int wrappingStyle)

  Set the wrapping style of the given alignment value and return the new value. The given value should be created using the `createAlignmentValue(boolean, int, int)` API.

  Parameters:
    `value` - the given alignment value
    `wrappingStyle` - the given wrapping style
  Returns:
    the new alignment value
  Throws:
    `IllegalArgumentException` - if the given alignment value is null, if the given wrapping style is not one of the possible wrapping styles, or if the given alignment value doesn't have a valid format.
  See Also:
    `WRAP_COMPACT`, `WRAP_COMPACT_FIRST_BREAK`, `WRAP_NEXT_PER_LINE`, `WRAP_NEXT_SHIFTED`, `WRAP_NO_SPLIT`, `WRAP_ONE_PER_LINE`, `createAlignmentValue(boolean, int, int)`

### createAlignmentValue

    public static String createAlignmentValue(boolean forceSplit,
                                              int wrapStyle,
                                              int indentStyle)

  Create a new alignment value according to the given values. This must be used to set up the alignment options.

  Parameters:
    `forceSplit` - the given force value
    `wrapStyle` - the given wrapping style
    `indentStyle` - the given indent style
  Returns:
    the new alignement value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.